## org.apache.commons.math3.exception
Class MathIllegalStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.apache.commons.math3.exception.MathIllegalStateException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

Direct Known Subclasses:
  CardanEulerSingularityException, ConvergenceException, MathInternalError, MathParseException, MaxCountExceededException, NoFeasibleSolutionException, NoFeasibleSolutionException, UnboundedSolutionException, UnboundedSolutionException

    public class MathIllegalStateException

extends java.lang.IllegalStateException
implements ExceptionContextProvider

Base class for all exceptions that signal a mismatch between the current state and the user's expectations.

Since:
  2.2
Version:
  $Id: MathIllegalStateException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

Field Summary
`private ExceptionContext` `context` Context.
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`MathIllegalStateException()` Default constructor.
`MathIllegalStateException(Localizable pattern, java.lang.Object... args)` Simple constructor.
`MathIllegalStateException(java.lang.Throwable cause, Localizable pattern, java.lang.Object... args)` Simple constructor.

Method Summary
`ExceptionContext` `getContext()` Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
`java.lang.String` `getLocalizedMessage()`
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

### context

    private final ExceptionContext context

  Context.

Constructor Detail

### MathIllegalStateException

    public MathIllegalStateException(Localizable pattern,
                                     java.lang.Object... args)

  Simple constructor.

  Parameters:
    `pattern` - Message pattern explaining the cause of the error.
    `args` - Arguments.

### MathIllegalStateException

    public MathIllegalStateException(java.lang.Throwable cause,
                                     Localizable pattern,
                                     java.lang.Object... args)

  Simple constructor.

  Parameters:
    `cause` - Root cause.
    `pattern` - Message pattern explaining the cause of the error.
    `args` - Arguments.

### MathIllegalStateException

    public MathIllegalStateException()

  Default constructor.

Method Detail

### getContext

    public ExceptionContext getContext()

  Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.

  Specified by:
    `getContext` in interface `ExceptionContextProvider`
  Returns:
    a reference to the exception context.

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

Copyright (c) 2003-2013 Apache Software Foundation